import { AnyFilter, FilterCriterion, FilterFunction, Filters, Options } from "./types";
/**
 * Creates a `FilterFunction` that matches file paths based on the specified criteria.
 *
 * @param criteria - One or more glob patterns, regular expressions, or filter functions
 * @returns A `FilterFunction` that matches file paths based on the specified criteria
 */
export declare function createFilter(options: Options, criteria: AnyFilter): FilterFunction;
/**
 * Creates a `FilterFunction` that matches file paths based on the specified criteria.
 *
 * @param criteria - One or more glob patterns, regular expressions, or filter functions
 * @returns A `FilterFunction` that matches file paths based on the specified criteria
 */
export declare function createFilter(options: Options, ...criteria: FilterCriterion[]): FilterFunction;
/**
 * Creates a `FilterFunction` that matches file paths based on the specified criteria.
 *
 * @param filters - An object with `include` and `exclude` filter criteria
 * @returns A `FilterFunction` that matches file paths based on the specified criteria
 */
export declare function createFilter(options: Options, filters: Filters): FilterFunction;
