import { FilterCriterion, FilterFunction, Filters } from "./types";
/**
 * Symbol used to store the underlying filters of a `pathFilter()` function.
 */
export declare const _filters: unique symbol;
/**
 * A `pathFilter()` function that was created by `filePathFilter()`.
 */
export interface PathFilter extends FilterFunction {
    [_filters]: Filters<FilterFunction[]>;
}
/**
 * Determines whether the given value is a `FilterCriterion`.
 */
export declare function isFilterCriterion(value: unknown): value is FilterCriterion;
/**
 * Determines whether the given value is one of our internal `pathFilter()` functions.
 */
export declare function isPathFilter(value: unknown): value is PathFilter;
